> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an advertiser



## OpenAPI

````yaml /openapi/buyer.yaml get /api/v2/buyer/advertisers/{id}
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
paths:
  /api/v2/buyer/advertisers/{id}:
    get:
      tags:
        - Advertisers
      summary: Get an advertiser
      operationId: getBuyerAdvertisersById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          customerId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          name:
                            type: string
                            minLength: 1
                          description:
                            type:
                              - string
                              - 'null'
                          status:
                            type: string
                            enum:
                              - ACTIVE
                              - ARCHIVED
                          sandbox:
                            type: boolean
                          primaryCurrency:
                            type: string
                            pattern: ^[A-Z]{3}$
                          currencyLocked:
                            type: boolean
                          brandDomain:
                            type:
                              - string
                              - 'null'
                          linkedBrand:
                            anyOf:
                              - type: object
                                properties:
                                  domain:
                                    type: string
                                  name:
                                    type: string
                                  logoUrl:
                                    type:
                                      - string
                                      - 'null'
                                  industry:
                                    type:
                                      - string
                                      - 'null'
                                  tagline:
                                    type:
                                      - string
                                      - 'null'
                                  colors:
                                    type: array
                                    items:
                                      type: string
                                required:
                                  - domain
                                  - name
                                  - logoUrl
                                  - industry
                                  - tagline
                                  - colors
                                additionalProperties: false
                              - type: 'null'
                          brandCountries:
                            type: array
                            items:
                              type: string
                              pattern: ^[A-Z]{2}$
                          preferredTimezone:
                            type:
                              - string
                              - 'null'
                          channels:
                            type: array
                            items:
                              type: string
                              enum:
                                - display
                                - olv
                                - social
                                - search
                                - ctv
                                - linear_tv
                                - radio
                                - streaming_audio
                                - podcast
                                - dooh
                                - ooh
                                - print
                                - cinema
                                - email
                                - gaming
                                - retail_media
                                - influencer
                                - affiliate
                                - product_placement
                                - sponsored_intelligence
                          optimizationApplyMode:
                            type: string
                            enum:
                              - AUTO
                              - MANUAL
                          autonomy:
                            anyOf:
                              - type: object
                                properties:
                                  inventorySelection:
                                    type: string
                                    enum:
                                      - manual
                                      - propose
                                      - automatic
                                  rebriefing:
                                    type: string
                                    enum:
                                      - manual
                                      - propose
                                      - automatic
                                required:
                                  - inventorySelection
                                  - rebriefing
                                additionalProperties: false
                              - type: 'null'
                          controls:
                            anyOf:
                              - type: object
                                properties:
                                  exclusions:
                                    type: array
                                    items:
                                      type: string
                                  brandSafety:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - exclusions
                                  - brandSafety
                                additionalProperties: false
                              - type: 'null'
                          utmConfig:
                            anyOf:
                              - type: array
                                items:
                                  type: object
                                  properties:
                                    paramKey:
                                      type: string
                                    paramValue:
                                      type: string
                                  required:
                                    - paramKey
                                    - paramValue
                                  additionalProperties: false
                              - type: 'null'
                          frequencyCaps:
                            anyOf:
                              - type: array
                                items:
                                  type: object
                                  properties:
                                    maxImpressions:
                                      type: integer
                                      exclusiveMinimum: 0
                                      maximum: 9007199254740991
                                    window:
                                      type: string
                                  required:
                                    - maxImpressions
                                    - window
                                  additionalProperties: false
                              - type: 'null'
                          createdAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          updatedAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                        required:
                          - id
                          - customerId
                          - name
                          - description
                          - status
                          - sandbox
                          - primaryCurrency
                          - currencyLocked
                          - brandDomain
                          - linkedBrand
                          - brandCountries
                          - preferredTimezone
                          - channels
                          - optimizationApplyMode
                          - autonomy
                          - controls
                          - utmConfig
                          - frequencyCaps
                          - createdAt
                          - updatedAt
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````